curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_mandate": {
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"send_mandate_signature_email": true
}
}
'{
"direct_debit_mandate": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"unique_mandate_reference": "01M48PB59D901CAQ8SW41DABJW",
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "pending_signature",
"is_cancelable": true,
"schedule_type": "monthly",
"notify_client": true,
"payment_info": {
"first_payment": {
"collection_date": "2026-11-15",
"amount": {
"value": "49.90",
"currency": "EUR"
},
"reference": "SUBSCRIPTION-2026"
},
"notify_client": true,
"schedule_type": "monthly",
"schedule_total_collection_count": 12
},
"sign_url": "https://pay.qonto.com/mandates/7c9e6679-7425-40de-944b-e07fc1f90ae7",
"created_at": "2026-10-06T09:30:00Z"
}
}Mandates
Create a SEPA Direct Debit mandate
OAuth scope: sepa_direct_debit.write
Create a SEPA Direct Debit mandate for a client. A sign_url is returned while the mandate is awaiting signature, whether or not payment_info is provided.
POST
/
v2
/
sepa
/
direct_debit_mandates
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direct_debit_mandate": {
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"send_mandate_signature_email": true
}
}
'{
"direct_debit_mandate": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"unique_mandate_reference": "01M48PB59D901CAQ8SW41DABJW",
"client_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "pending_signature",
"is_cancelable": true,
"schedule_type": "monthly",
"notify_client": true,
"payment_info": {
"first_payment": {
"collection_date": "2026-11-15",
"amount": {
"value": "49.90",
"currency": "EUR"
},
"reference": "SUBSCRIPTION-2026"
},
"notify_client": true,
"schedule_type": "monthly",
"schedule_total_collection_count": 12
},
"sign_url": "https://pay.qonto.com/mandates/7c9e6679-7425-40de-944b-e07fc1f90ae7",
"created_at": "2026-10-06T09:30:00Z"
}
}Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
The SEPA Direct Debit mandate has been created successfully.
Show child attributes
Show child attributes
Was this page helpful?